# $Revision: 1.8 $, $Date: 2009/09/18 09:07:46 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	PDF
%define		pnam	API2
Summary:	PDF::API2 - PDF Creation/Modification
Summary(pl.UTF-8):	PDF::API2 - tworzenie i modyfikowanie dokumentów PDF
Name:		perl-PDF-API2
Version:	0.73
Release:	1
License:	LGPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/PDF/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	848fb727323390128cac85cc11f52de1
URL:		http://search.cpan.org/dist/PDF-API2/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-IO-Compress
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is 'The Next Generation' of Text::PDF::API which initially
provided a nice API around the Text::PDF::* modules created by Martin
Hosken.

%description -l pl.UTF-8
Ten moduł to "nowa generacja" Text::PDF::API, początkowo
udostępniającego ładne API obudowujące moduły Text::PDF::*, napisane
przez Martina Hoskena.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{perl_vendorlib}/PDF
%dir %{perl_vendorlib}/PDF/API2
%dir %{perl_vendorlib}/PDF/API2/Resource
%dir %{perl_vendorlib}/PDF/API2/Resource/XObject
%dir %{perl_vendorlib}/PDF/API2/Resource/XObject/Form
%dir %{perl_vendorlib}/PDF/API2/Resource/XObject/Form/BarCode
%dir %{perl_vendorlib}/PDF/API2/Resource/XObject/Image
%dir %{perl_vendorlib}/PDF/API2/Resource/Font
%dir %{perl_vendorlib}/PDF/API2/Resource/Font/CoreFont
%dir %{perl_vendorlib}/PDF/API2/Resource/ColorSpace
%dir %{perl_vendorlib}/PDF/API2/Resource/ColorSpace/Indexed
%dir %{perl_vendorlib}/PDF/API2/Resource/CIDFont
%dir %{perl_vendorlib}/PDF/API2/Resource/CIDFont/CJKFont
%dir %{perl_vendorlib}/PDF/API2/Resource/CIDFont/CMap
%dir %{perl_vendorlib}/PDF/API2/Resource/CIDFont/TrueType
%dir %{perl_vendorlib}/PDF/API2/Basic
%dir %{perl_vendorlib}/PDF/API2/Basic/TTF
%dir %{perl_vendorlib}/PDF/API2/Basic/TTF/Mort
%dir %{perl_vendorlib}/PDF/API2/Basic/TTF/Kern
%dir %{perl_vendorlib}/PDF/API2/Basic/PDF
%dir %{perl_vendorlib}/PDF/API2/Content
%{perl_vendorlib}/PDF/API2.pm
%{perl_vendorlib}/PDF/API2/*.pm
%{perl_vendorlib}/PDF/API2/Resource/*.pm
%{perl_vendorlib}/PDF/API2/Resource/*.txt
%{perl_vendorlib}/PDF/API2/Resource/XObject/*.pm
%{perl_vendorlib}/PDF/API2/Resource/XObject/Form/*.pm
%{perl_vendorlib}/PDF/API2/Resource/XObject/Form/BarCode/*.pm
%{perl_vendorlib}/PDF/API2/Resource/XObject/Image/*.pm
%{perl_vendorlib}/PDF/API2/Resource/Font/*.pm
%{perl_vendorlib}/PDF/API2/Resource/Font/CoreFont/*.pm
%{perl_vendorlib}/PDF/API2/Resource/ColorSpace/*.pm
%{perl_vendorlib}/PDF/API2/Resource/ColorSpace/Indexed/*.pm
%{perl_vendorlib}/PDF/API2/Resource/CIDFont/*.pm
%{perl_vendorlib}/PDF/API2/Resource/CIDFont/CJKFont/*.pm
%{perl_vendorlib}/PDF/API2/Resource/CIDFont/CMap/*.pm
%{perl_vendorlib}/PDF/API2/Resource/CIDFont/TrueType/*.pm
%{perl_vendorlib}/PDF/API2/Basic/TTF/*.pm
%{perl_vendorlib}/PDF/API2/Basic/TTF/Mort/*.pm
%{perl_vendorlib}/PDF/API2/Basic/TTF/Kern/*.pm
%{perl_vendorlib}/PDF/API2/Basic/PDF/*.pm
%{perl_vendorlib}/PDF/API2/Content/*.pm
%{perl_vendorlib}/PDF/API2/fonts/
# and most important
%{perl_vendorlib}/PDF/API2/HOWTO.pod

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-PDF-API2.spec,v $
Revision 1.8  2009/09/18 09:07:46  amateja
- updated to 0.73

Revision 1.7  2008/03/24 18:57:03  qboosh
- generic URL

Revision 1.6  2008-01-15 13:19:29  glen
- missing dir; rel 1

Revision 1.5  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.4  2007/02/12 00:49:43  baggins
- converted to UTF-8

Revision 1.3  2006/01/23 13:54:00  qboosh
- pl, cleanup

Revision 1.2  2006/01/22 13:07:11  agaran
- up to 0.51 rel=0.1

Revision 1.1  2006/01/22 01:53:42  agaran
- initial, packaging done, now trying to test it.
